7400                                                       ' CONVERTIR A ENTERO
     IF YY#>0 THEN YY#=FIX((YY#+.005)*100) ELSE YY#=FIX((YY#-.005)*100)
     RETURN

7402 IF YY#<0 THEN YY#=FIX((YY#-.005)*100) ELSE YY#=FIX((YY#+.005)*100)
     GG$=MID$(STR$(YY#),2)
     IF LEN(GG$)=1 THEN GG$="0"+GG$
        YY$=MID$(GG$,1,LEN(GG$)-2)+"."+MID$(GG$,LEN(GG$)-1,2)
        RETURN

7404 IF YY#<0 THEN YY#=FIX((YY#-.00005)*10000) ELSE YY#=FIX((YY#+.00005)*10000)
     GG$=MID$(STR$(YY#),2)
     IF LEN(GG$)=3 THEN GG$="0"  +GG$
     IF LEN(GG$)=2 THEN GG$="00" +GG$
     IF LEN(GG$)=1 THEN GG$="000"+GG$
        YY$=MID$(GG$,1,LEN(GG$)-4)+"."+MID$(GG$,LEN(GG$)-3,4)
        RETURN

7410                                                       ' CONVERTIR A ENTERO
     IF YY#>0 THEN YY#=FIX((YY#+.00005)*10000) ELSE YY#=FIX((YY#-.00005)*10000)
     RETURN

7470                                                       ' OPCION DE CANCELAR OPERACION
     IK$=INKEY$
     IF IK$<>"P" THEN QQ=3:GOTO 7472
        COLOR 16,15:LOCATE 24,2:PRINT SPACE$(78);
        COLOR 24,2:PRINT " <Enter> continuar   <C> cancelar";:COLOR 15,1:LOCATE 24,36:PRINT " ";
        LOCATE 24,36:W$=INPUT$(1)
        COLOR 15,07:LOCATE 24,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
        COLOR 7,0
        IF W$="C" THEN QQ=1 ELSE PRINT:QQ=2
7472 RETURN

7490                                                       ' ENTER PARA CONTINUAR
     COLOR 16,15:LOCATE 24,2:PRINT SPACE$(78);
     COLOR 16,15:LOCATE 24,2:PRINT " <Enter> continuar   <C> cancelar   <ESC> regresar";:COLOR 15,1:LOCATE 24,53:PRINT " ";
     LOCATE 24,53:W$=INPUT$(1)
     COLOR 15,07:LOCATE 24,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
     COLOR 7,0
     RETURN

7500 COLOR 15,7:LOCATE 24,2:PRINT SPACE$(78);:LOCATE 23,2:PRINT ""
     AP1%=VARPTR(V1%(1)):CALL SAVESCRN(1,AP1%)             ' salva ventana
        MENSAJE$=" Seleccione la opci˘n.":GOSUB 15710
        PR=18:PC=63:NR=03:NC=15:GOSUB 9980
        PR=19:PC=64:NR=01:NC=01:GOSUB 9981
        COLOR 15,07
           LOCATE 19,68:PRINT "F1=grabar"
           LOCATE 20,68:PRINT "F2=cancelar"
           LOCATE 21,68:PRINT CHR$(24)+" =regresar" 
        COLOR 01,07
           LOCATE 19,68:PRINT "F1"
           LOCATE 20,68:PRINT "F2"
           LOCATE 21,68:PRINT CHR$(24)+" "
        COLOR 15,1:S$="":W=20:Z=65:L=1:T=3:keypressed = edit(z,w,l,S$) ' OPCION
     CALL RESTSCRN(1,AP1%)                                 ' restaura ventana
     RETURN

7510  M$="Verifique el impresor...      ":GOTO 7610
7570  M$="No hay espacio                ":GOTO 7610
7580  M$="Ya existe...                  ":GOTO 7610
7590  M$="No existe...                  ":GOTO 7610
7592  M$="Factura cancelada...          ":GOTO 7610
7594  M$="Factura dada de baja...       ":GOTO 7610
7596  M$="Este registro no es una compra...":GOTO 7610
7600  M$="Invalido...                   ":GOTO 7610
7601  M$="No hay en existencia...       ":GOTO 7610
7602  M$="Registro transmitido...       ":GOTO 7610
7603  M$="Precio no autorizado...       ":GOTO 7610
7604  M$="Fecha fuera de periodo...     ":GOTO 7610
7605  M$="Tiene movimientos en el a¤o...":GOTO 7610
7606  M$="Debe seleccionar una opci˘n...":GOTO 7610

7610  COLOR 16,15:LOCATE 24,2:PRINT SPACE$(78);:LOCATE 23,2:PRINT ""
      BEEP
      COLOR 16,15:LOCATE 24,2:PRINT M$;:COLOR 15,1:LOCATE 24,33:PRINT " ";
      LOCATE 24,33:W$=INPUT$(1)
      COLOR 15,07:LOCATE 24,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
      COLOR 7,0
      RETURN

7708 M$="Est  inicializando, Favor de esperar...    ":GOTO 7750
7710 M$="Est  calculando, Favor de esperar...       ":GOTO 7750
7720 M$="Est  imprimiendo, Favor de esperar...  P=parar ":GOTO 7750
7722 M$="Calculando estadˇstica, Favor de esperar...":GOTO 7750
7724 M$="Est  ordenando, Favor de esperar...        ":GOTO 7750
7730 M$="La impresi˘n termin˘, Gracias...           ":BEEP:GOTO 7752
7740 M$="La impresi˘n fu‚ cancelada...              ":BEEP:GOTO 7752
7742 M$="El proceso termin˘, Gracias...             ":BEEP:GOTO 7752

7750 COLOR 16,15:LOCATE 24,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
     COLOR 16,15:LOCATE 24,2:PRINT M$;:LOCATE 23,2:PRINT "":COLOR 15,7:RETURN
7752 COLOR 16,15:LOCATE 24,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
     COLOR 16,15:LOCATE 24,2:PRINT M$;:LOCATE 23,2:PRINT "":FOR II=1 TO 4000:LOCATE 23,2:PRINT "":NEXT II
     COLOR 16,15:LOCATE 24,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
     COLOR 15,7
     RETURN

7850                                                       ' CALCULAR MES
      MX$=MID$(FX$,3,2):POSI=VAL(MX$)
7851  CALEN$="EneFebMarAbrMayJunJulAgoSepOctNovDic":LUG=3*POSI-2:MX$=MID$(CALEN$,LUG,3)
      RETURN

7900                                                       ' VALIDAR FECHA . SIERRA
      FOR J=1 TO 6
          IF MID$(FX$,J,1)<"0" OR MID$(FX$,J,1)>"9" THEN K=1:GOTO 7902
      NEXT J
      AX$=MID$(FX$,1,2):MX$=MID$(FX$,3,2):DX$=MID$(FX$,5,2)
      IF AX$<"00" OR AX$>"99" THEN K=1:GOTO 7902
      IF MX$<"01" OR MX$>"12" THEN K=1:GOTO 7902
      IF DX$<"01" OR DX$>"31" THEN K=1:GOTO 7902
      K=0
7902  RETURN

8300                                                       ' ENCABEZADO
      COLOR 15,7
      IF LEN(ANO$)=2 THEN XANO$=ANO$:IF ANO$<"80" THEN ANO$="20"+ANO$ ELSE ANO$="19"+ANO$
      LOCATE 2,3:PRINT DIA$;"-";MES$;"-";ANO$              ' imprime fecha
      LT$=SISTEMA$:LG=79:GOSUB 8700                        ' sistema
      LOCATE 2,IT:PRINT LT$                                ' imprime sistema
      LOCATE 3,3 :PRINT MENU$                              ' nombre del menu
      LT$=TIT$:LG=79:GOSUB 8700                            ' nombre de empresa
      LOCATE 3,IT:PRINT LT$                                ' imprime empresa
      GOSUB 9600                                           ' derechos reservados
      COLOR 7,0
      RETURN

8700                                                       ' POSICION DE TITULO
      LT=LEN(LT$):IT=INT((LG-LT)/2)+1:W=1:Z=1              ' LT$,LG==>IT
      RETURN

9600                                                       ' DERECHOS RESERVADOS
      COLOR 15,7                                            
      LOCATE 2,59:PRINT "Derechos Reservados"
      LOCATE 3,61:PRINT "Sistemas Sierra"
      COLOR 7,0        
      RETURN

     ' $INCLUDE: 'CUAGRL.BAS'

10016 CLS                                                  ' CUADRO PANTALLA
      PR=01:PC=01:NR=02:NC=78:GOSUB 9980
      PR=05:PC=01:NR=17:NC=78:GOSUB 9980
      COLOR 15,7:LOCATE 25,1:PRINT SPACE$(80);:LOCATE 23,2:PRINT ""
      RETURN

10700                                                      ' GRABA 0 EN CAMPO PAP
      GOSUB 10702:GOTO 10710

10702 OPEN "R",#11,"SIECRT.GRL",104
      FIELD#11,104 AS CRT$

      GET#11,1
      SCR$=CRT$
      MID$(SCR$,PAP,1)="0"                                 ' ind sort
      LSET CRT$=SCR$
      PUT#11,1
      RETURN

10710 CLOSE#11
      RETURN

15710 COLOR 15,07
      LOCATE 24,1:PRINT SPACE$(80);
      LOCATE 24,2:PRINT MENSAJE$;
      LOCATE 23,2:PRINT ""
      COLOR 7,0
      RETURN
